50 descendants and 50 ancestors of faec36074e13809d
|
2026-09-13
| ||
| 13:18 | RFC 0018: a placement record exists exactly when somebody placed it closed check-in: 929fca717c user: dmestas tags: rfc0018-namespace | |
| 13:17 | dissolving a team returns its repositories to their owners closed check-in: a17ab07edf user: dmestas tags: namespace-follows | |
| 13:11 | RFC 0018: team_repo decides the path segment check-in: 3496d5b074 user: dmestas tags: rfc0018-namespace | |
| 13:11 | Create new branch named "rfc0018-namespace" check-in: 25989b738a user: dmestas tags: rfc0018-namespace | |
| 13:09 | the path segment follows the team that holds the repository check-in: 3b0a50a804 user: dmestas tags: namespace-follows | |
| 13:02 | land xfer-log check-in: a06c187310 user: dmestas tags: trunk | |
| 12:56 | teams reach the dashboard and person pages check-in: 5e3704174c user: dmestas tags: team-reach | |
| 12:48 | log what the sync client was told, not what it was not closed check-in: 8988353a3c user: dmestas tags: xfer-log | |
| 12:47 | Create new branch named "team-reach" check-in: cbaa499852 user: dmestas tags: team-reach | |
| 12:44 | land sync-starting check-in: 5ce2d12264 user: dmestas tags: trunk | |
| 12:40 | a sync during startup says starting, not missing closed check-in: f777b136a3 user: dmestas tags: sync-starting | |
| 12:35 | land team-people check-in: 0bed40e20a user: dmestas tags: trunk | |
| 12:35 | land landing-retarget check-in: 36c9e3a04d user: dmestas tags: trunk | |
| 12:13 | retarget an open landing from the forge, not only from a shell closed check-in: c744e569af user: dmestas tags: landing-retarget | |
| 12:12 | teams: the People screen — everyone who reaches the team repositories, and how closed check-in: ed8bd760b0 user: dmestas tags: team-people | |
| 12:04 | Create new branch named "team-people" check-in: b86f7db053 user: dmestas tags: team-people | |
| 12:03 | land refusal-text check-in: ac183d3748 user: dmestas tags: trunk | |
| 01:30 | show an op's refusal instead of a blank apology closed check-in: 943c246591 user: dmestas tags: refusal-text | |
| 01:26 | land team-routes-2 check-in: 92240303b4 user: dmestas tags: trunk | |
| 01:22 | land repo-claim check-in: ff5e45a2be user: dmestas tags: trunk | |
| 01:19 | claim a forge-held repository; mirrors stay forge-held closed check-in: 2563163751 user: dmestas tags: repo-claim | |
| 01:17 | settings: the People section names the team route instead of hiding it closed check-in: 4de2442657 user: dmestas tags: team-routes-2 | |
| 01:13 | Create new branch named "team-routes-2" check-in: 4d513982bb user: dmestas tags: team-routes-2 | |
| 01:11 | land repo-owner check-in: 584d505014 user: dmestas tags: trunk | |
| 01:11 | land teams-pages check-in: d3ff3b15c7 user: dmestas tags: trunk | |
| 01:10 | Create new branch named "team-routes" closed check-in: c7d459755f user: dmestas tags: team-routes | |
| 00:43 | record the repository deed and namespace as stored columns closed check-in: 37653b4097 user: dmestas tags: repo-owner | |
| 00:40 | teams: the public directory, one team page, and the third explore tab closed check-in: 97ea1d1917 user: dmestas tags: teams-pages | |
| 00:32 | Create new branch named "teams-pages" check-in: e948a53a3c user: dmestas tags: teams-pages | |
| 00:27 | land team-counts check-in: d8137c2421 user: dmestas tags: trunk | |
| 00:26 | teams: a single-team read fills its counts instead of leaving them zero closed check-in: fc63cfbf44 user: dmestas tags: team-counts | |
| 00:24 | Create new branch named "team-counts" check-in: 1c005f9133 user: dmestas tags: team-counts | |
| 00:20 | land teams-1 check-in: aebd12f1ab user: dmestas tags: trunk | |
| 00:19 | update teams-1 from trunk closed check-in: ad7357d37e user: dmestas tags: teams-1 | |
| 00:16 | teams: the ops, and a measured short-circuit for forges with no teams check-in: c79a4832d7 user: dmestas tags: teams-1 | |
| 00:08 | land owner-ops check-in: 488ce6f6f6 user: dmestas tags: trunk | |
| 00:03 | teams: the tables, the membership floor, and the union in EffectiveCaps check-in: 3e8bcc0b5f user: dmestas tags: teams-1 | |
| 00:01 | mirror.writes and chatbridge to the repository owner; reindex stays forge-side closed check-in: a4b1ccf8ff user: dmestas tags: owner-ops | |
| 00:01 | Create new branch named "teams-1" check-in: 77a81aaa38 user: dmestas tags: teams-1 | |
|
2026-09-12
| ||
| 23:56 | land rfc-teams check-in: ac66d7552f user: dmestas tags: trunk | |
| 23:55 | land open-create check-in: 1ed72429e2 user: dmestas tags: trunk | |
| 23:50 | RFC 0018: a public team page carries a description; avatar and README recorded as not proposed closed check-in: cfc4c36713 user: dmestas tags: rfc-teams | |
| 23:44 | RFC 0018: teams, the layer RFC 0008 deferred check-in: 2c02017963 user: dmestas tags: rfc-teams | |
| 23:40 | open repository creation and mirroring to any account closed check-in: 9e6f1c8f33 user: dmestas tags: open-create | |
| 23:39 | Create new branch named "rfc-teams" check-in: c22cd91573 user: dmestas tags: rfc-teams | |
| 23:24 | land rfc0017-decided check-in: 0456cc2123 user: dmestas tags: trunk | |
| 23:14 | RFC 0017: keep the amendment note consistent with the moderation split closed check-in: f440807860 user: dmestas tags: rfc0017-decided | |
| 23:13 | RFC 0017: settle which letters relax, what unbinding does, and the wiki scope check-in: f4ffa17411 user: dmestas tags: rfc0017-decided | |
| 23:12 | Create new branch named "rfc0017-decided" check-in: a35e9696f5 user: dmestas tags: rfc0017-decided | |
| 22:28 | land rfc-tiers check-in: da828cba67 user: dmestas tags: trunk | |
| 22:09 | RFC 0017: the bar for a write scales with how permanent the write is closed check-in: faec36074e user: dmestas tags: rfc-tiers | |
| 22:04 | Create new branch named "rfc-tiers" check-in: c2d4052156 user: dmestas tags: rfc-tiers | |
| 19:45 | land me-page check-in: 08a1eba493 user: dmestas tags: trunk | |
| 19:45 | land one-press check-in: eca815c583 user: dmestas tags: trunk | |
| 19:42 | One page for a person's own account, reached from the avatar: identity, email by code, password, sessions and notifications closed check-in: e0996f3e75 user: dmestas tags: me-page | |
| 19:28 | A composer's submit button refuses a second press, so a slow page cannot turn one comment into two closed check-in: 7884007774 user: dmestas tags: one-press | |
| 19:14 | land difftree-counts check-in: c7bec4f077 user: dmestas tags: trunk | |
| 19:00 | diff: let a tree row wrap rather than push its tally off a narrow screen closed check-in: 109c3eada5 user: dmestas tags: difftree-counts | |
| 18:56 | diff: the file-kind chips count one reading, not two; a filtered view says so check-in: 58fe3dd0b0 user: dmestas tags: difftree-counts | |
| 18:54 | Create new branch named "difftree-counts" check-in: dac6fb1953 user: dmestas tags: difftree-counts | |
| 18:50 | land difftree check-in: 323c38d412 user: dmestas tags: trunk | |
| 18:44 | land reindex-stubs check-in: 6393df69e7 user: dmestas tags: trunk | |
| 18:42 | A rebuilt index learns which attachments are stubs, so an uploaded picture does not come back as the text of its stub closed check-in: b00b8c772b user: dmestas tags: reindex-stubs | |
| 18:41 | diff: fold the changed-file list into a directory tree with counts and filters closed check-in: 49c1fc3c13 user: dmestas tags: difftree | |
| 18:30 | Create new branch named "difftree" check-in: e4e3684d4a user: dmestas tags: difftree | |
| 18:28 | land account-events check-in: 00103505fe user: dmestas tags: trunk | |
| 18:21 | merge trunk; one raise per access change, at the write path closed check-in: 54ad6b16fd user: dmestas tags: account-events | |
| 18:02 | land account-email check-in: 1640d97eba user: dmestas tags: trunk | |
| 18:02 | accounts: raise RFC 0005 account events, and put the capability string behind an op check-in: d89640ebd7 user: dmestas tags: account-events | |
| 17:58 | An account can give quarry an address, and access changes reach it as transactional mail no preference can switch off closed check-in: b066503d43 user: dmestas tags: account-email | |
| 17:50 | Create new branch named "account-events" check-in: 00e9c38f12 user: dmestas tags: account-events | |
| 17:49 | land cirun-retention check-in: d539e7db70 user: dmestas tags: trunk | |
| 17:49 | land roster-complete check-in: cb47bd0173 user: dmestas tags: trunk | |
| 17:49 | land landed-offer check-in: 941a69d295 user: dmestas tags: trunk | |
| 17:46 | landings: do not offer to propose a branch whose work already landed closed check-in: c93731d46c user: dmestas tags: landed-offer | |
| 17:40 | Create new branch named "landed-offer" check-in: a58b2fac35 user: dmestas tags: landed-offer | |
| 17:40 | ci: retire superseded runs after 90 days, keeping the newest per subject closed check-in: 499b4d6f8a user: dmestas tags: cirun-retention | |
| 17:36 | Create new branch named "cirun-retention" check-in: a453cac69c user: dmestas tags: cirun-retention | |
| 17:36 | The add-a-person field completes against the forge's accounts through a list quarry renders, which a phone can actually show closed check-in: e4765fe611 user: dmestas tags: roster-complete | |
| 17:32 | land landing-addresses check-in: 7b895af345 user: dmestas tags: trunk | |
| 17:19 | merge trunk into landing-addresses closed check-in: 014bb9663b user: dmestas tags: landing-addresses | |
| 17:14 | land attach-picker check-in: ff5520cd7f user: dmestas tags: trunk | |
| 17:05 | The composer offers a file picker, so attaching a file to a comment needs neither a keystroke nor a mouse closed check-in: f8c2ff6253 user: dmestas tags: attach-picker | |
| 16:59 | landings: every tense of closes and a wide addresses set; tickets: author every field a tracker defines check-in: 68eecb0f48 user: dmestas tags: landing-addresses | |
| 16:44 | land landing-addresses check-in: c8b417138b user: dmestas tags: trunk | |
| 16:30 | land lane-held check-in: a71af4e934 user: dmestas tags: trunk | |
| 16:30 | land lane-visibility check-in: 78032a7b0a user: dmestas tags: trunk | |
| 16:27 | landings: an addresses verb, and a reference in the title anchors check-in: ff875cc8dd user: dmestas tags: landing-addresses | |
| 16:24 | Create new branch named "landing-addresses" check-in: 1c535aa07a user: dmestas tags: landing-addresses | |
| 16:20 | land inbox-links check-in: 3748fe6b4d user: dmestas tags: trunk | |
| 16:19 | A deduped inbox row can be marked read again, and a fault notice lands on its own row in the panel closed check-in: 39e1db7deb user: dmestas tags: inbox-links | |
| 16:18 | ops: the lanes panel lists what each lane is holding, with verb, subject and age closed check-in: 39d8bd654e user: dmestas tags: lane-held | |
| 16:03 | ops: the lanes panel lists every lane, with its queue depth. closes a488d7fa42 closed check-in: 6cd8513399 user: dmestas tags: lane-visibility | |
| 16:03 | branch: lane-visibility check-in: ee4902611b user: dmestas tags: lane-visibility | |
| 16:03 | land inbox-action check-in: 5a36b2a419 user: dmestas tags: trunk | |
| 15:55 | The inbox row's one action says in a word what it does, and leaving a thread moves to the thread closed check-in: 4c713a13ed user: dmestas tags: inbox-action | |
| 15:41 | land inbox-rows check-in: fea72e7446 user: dmestas tags: trunk | |
| 15:26 | Inbox rows keep their columns whatever the words say, and a row is offered a control only where it has one to press closed check-in: 3ca3286214 user: dmestas tags: inbox-rows | |
| 12:35 | land attach-paste-box check-in: 9c09f7bb46 user: dmestas tags: trunk | |
| 03:07 | A pasted picture lives in the attachment box, not the text: a thumbnail that enlarges, no reference written, and placeholders that swap in the cards as they arrive closed check-in: cffae3883d user: dmestas tags: attach-paste-box | |
| 02:49 | land attach-polish2 check-in: ec90486c11 user: dmestas tags: trunk | |